package de.frajul.endlessroll.entities.particles.attributes.attributeValues;

/**
 * Created by Julian on 02.08.2016.
 */
public enum ParticleAttributeValueType {

    RANGE, TIMELINE, TINT_TIMELINE, SPAWN_SHAPE, OPTIONS, IMAGE_PATH;

    public ParticleAttributeValue createInstance() {
        switch (this) {
            case RANGE:
                return new Range();
            case TIMELINE:
                return new Timeline();
            case TINT_TIMELINE:
                return new TintTimeline();
            case SPAWN_SHAPE:
                return new SpawnShape();
            case OPTIONS:
                return new Options();
            case IMAGE_PATH:
                return new ImagePath();
        }
        return null;
    }

}
